-- Lecture d'une page web en wifi avec protocole HTTP --
-- merci  thermo_nono --

-- Configuration:

ip = "64.191.5.102"			-- IP du serveur web
port = 80						-- port sur lequel se connecter (HTTP)
host = "gameblabla.netai.net"	-- host
page = "/web_media/version.html"			-- requete
conn = "Close"					-- en-tte HTTP de fermeture de connexion

-- Connexion au site et aspiration du contenu

Wifi.connectWFC()																	-- activation du wifi
buffer = {}																			-- buffer de lecture
socket = Wifi.createTCPSocket(ip, port) 											-- IP du serveur distant (babel.iap.fr)
requete = "GET "..page.." HTTP/1.1\nHost: "..host.." \nConnection: "..conn.."\n\n" 	-- cration d'une requete
Wifi.send(socket, requete)															-- envoi de la requte
for i = 1,49 do
	rep = Wifi.receive(socket, 40)													-- rcupration des paquets
	table.insert(buffer, rep)														-- stockage dans le tableau 'retour'
end
Wifi.closeSocket(socket)															-- dconnexion du wifi
Wifi.disconnect()

-- Excution

while not Keys.newPress.Start do
   Controls.read()
   screen.print(SCREEN_DOWN, 0, 20, "Version : "..version)
   for i = 1,20 do
      if buffer[i]~="" and buffer[i]~=nil then
         screen.print(SCREEN_UP,1,9*i-9,buffer[i])		-- affichage du buffer (20 lignes sur l'cran du haut)
      end
      if buffer[i+20]~="" and buffer[i+20]~=nil then
         screen.print(SCREEN_DOWN,1,9*i-9,buffer[i+20])	-- suite de l'affichage du buffer (20 lignes sur l'cran du bas)
      end
   end
   
   if Keys.newPress.B then
   dofile("Pokemon Battle/menu.lua")
   end
   if Keys.newPress.A then
   dofile("Pokemon Battle/menu.lua")
   end
   if Keys.newPress.X then
   dofile("Pokemon Battle/menu.lua")
   end
   if Keys.newPress.Y then
   dofile("Pokemon Battle/menu.lua")
   end
   
   render()
end